WebM VP8 Codec SDK

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
vpx_image Struct Reference

Image Descriptor. More...

`#include <vpx_image.h>`

## Data Fields
vpx_img_fmt_t | fmt
unsigned int | w
unsigned int | h
unsigned int | d_w
unsigned int | d_h
unsigned int | x_chroma_shift
unsigned int | y_chroma_shift
unsigned char * | planes [4]
int | stride [4]
int | bps
void * | user_priv
unsigned char * | img_data
int | img_data_owner
int | self_allocd

## Detailed Description

Image Descriptor.

## Field Documentation

vpx_img_fmt_t vpx_image::fmt

Image Format

unsigned int vpx_image::w

Stored image width

unsigned int vpx_image::h

Stored image height

unsigned int vpx_image::d_w

Displayed image width

unsigned int vpx_image::d_h

Displayed image height

unsigned int vpx_image::x_chroma_shift

subsampling order, X

unsigned int vpx_image::y_chroma_shift

subsampling order, Y

unsigned char* vpx_image::planes[4]

pointer to the top left pixel for each plane

int vpx_image::stride[4]

stride between rows for each plane

int vpx_image::bps

bits per sample (for packed formats)

void* vpx_image::user_priv

may be set by the application to associate data with this image.

unsigned char* vpx_image::img_data

private

int vpx_image::img_data_owner

private

int vpx_image::self_allocd

private

The documentation for this struct was generated from the following file:

- vpx/vpx_image.h